---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
    

---

# Введение

Кордова является основой разработки мобильных открытым исходным кодом. Это позволяет использовать стандартные веб-технологии, такие как HTML5, CSS3 и JavaScript для кросс платформенной разработки, избегая каждый мобильных платформ разработки машинного языка. Приложения выполняются внутри обертки для каждой платформы и полагаются на стандартам API привязки для доступа к каждому устройству датчики, данных и состояния сети.

Используйте Cordova, если вы:

*   Мобильный разработчик и хотите расширить приложение через более чем одной платформы, без необходимости повторно реализовать его с каждой платформы языка и инструмент задать.

*   веб-разработчик и хотите, чтобы развернуть веб-приложение, который упакован для распространения в различных приложения хранят порталов.

*   Мобильный разработчик, заинтересованный в смешивания компонентов собственного приложения с *WebView* (окно браузера), можно получить доступ к API уровне устройства, или если вы хотите разработать плагин интерфейс между родной и компонентами WebView.

## Основные компоненты

Кордова приложения полагаются на общей `config.xml` файл, который содержит информацию о приложении и определяет параметры, влияющие на как она работает, такие, как ли она реагирует на ориентации сдвиги. Этот файл соответствует [Упаковке веб-приложение][1], или *виджет*, спецификации W3C.

 [1]: http://www.w3.org/TR/widgets/

Само приложение реализована как веб-страницы, по умолчанию, который ссылается на любой CSS, JavaScript, изображений, мультимедийных файлов, имя *index.html* или другие ресурсы, необходимые для его запуска. Приложение выполняет в *WebView* в пределах собственного приложения оболочки, который вы распространяете app магазины. Для веб-приложение для взаимодействия с различными функциями устройства, сделать путь родные apps, он также должен ссылаться на `cordova.js` файл, который обеспечивает API привязки.

WebView Cordova с поддержкой может предоставлять приложения с его весь пользовательский интерфейс. Она также может быть компонент в больше, гибридные приложения, которое смешивает WebView с собственного приложения компонентов. Cordova предоставляет интерфейс *плагина* для этих компонентов, чтобы общаться друг с другом.

## Пути развития

Начиная с версии 3.0 можно использовать два основных рабочих процессов для создания мобильных приложений. Хотя вы можете сделать то же самое с использованием обоих рабочих процессов, некоторые задачи лучше подходят для использования рабочего процесса над другим. По этой причине вы должны понимать обоих рабочих процессов так, что лучший инструмент можно использовать для лучших ситуации.

Два основных рабочих процессов, которые поддерживаются *Веб Dev проекта* рабочего процесса и *Родной Dev платформы* рабочего процесса.

### Веб проект Dev

Первой рабочего процесса можно представить как *Веб Dev проекта* рабочего процесса. Этот рабочий процесс следует использовать, когда требуется создать Cordova-приложение, которое работает на столько мобильных операционных систем как можно так мало работы платформы развития как можно. Этот рабочий процесс вступил в существование с 3.0 Кордова и создание Cordova *интерфейс командной строки* (CLI). CLI абстрагирует много функциональность скриптов более низкого уровня, которые заботиться о подробности, связанные с созданием приложения, таких как копирование ваши web активы в правильные папки для каждой мобильной платформы, изменения конфигурации платформы, или под управлением конкретных создавать сценарии для создания двоичных файлов приложения. Вы можете прочитать больше о *Веб Dev проекта* рабочего процесса в интерфейс командной строки. Пожалуйста, обратите внимание, что часто, когда люди говорят о «CLI», они говорят о *Веб Dev проекта* рабочего процесса.

### Родной платформе Dev

Второй рабочий процесс можно рассматривать как *Родной Dev платформы* рабочего процесса. Вы должны использовать его, когда вы хотите сосредоточиться на создании приложения для одной платформы и заинтересованы в изменении детали более низкого уровня платформы. Хотя до сих пор этот рабочий процесс можно использовать для создания кросс платформенных приложений, отсутствие инструментов чтобы абстрагироваться от различных этапов построения сделает более трудным. К примеру вам придется использовать Plugman для установки же плагин один раз для каждой платформы, который вы хотите поддержать. Преимущество использования рабочего процесса этот *Родной платформе Dev* -что он дает вам доступ к более низкого уровня скриптов для создания и тестирования приложений, так что если вы взлома на родной стороне вещей, этот рабочий процесс является наиболее эффективным способом для тестирования изменений. Этот рабочий процесс также подходит, если вы хотите использовать CordovaWebView как небольшая часть в больших собственное приложение (см. в руководстве встраивание WebViews.) Вы можете прочитать о этот рабочий процесс в различных руководств оболочки инструмент, например, руководство для Android оболочки инструмент и iOS оболочки инструмент руководства.

При первом запуске, это может быть простой в использовании *Веб Dev проекта* рабочего процесса для создания приложения. (Для установки CLI, см. в интерфейс командной строки). В зависимости от набора платформ, который вы хотите цели вы можете рассчитывать на CLI для постепенно больше акций цикла разработки:

*   В самые основные сценарии CLI можно использовать просто для создания нового проекта, который заполняется с конфигурацией по умолчанию можно изменить.

*   Для многих мобильных платформ можно также использовать CLI для настройки дополнительного проекта файлы, необходимые для компиляции в пределах каждого пакета SDK. Чтобы это работало необходимо установить каждой целевой платформы SDK. (См. платформа руководства для получения инструкций.) Как указано в таблице поддержка платформы, может потребоваться запустить CLI на различных операционных системах в зависимости от целевой платформы.

*   Для поддержки платформ, CLI можно скомпилировать executible приложения и запустить их в эмуляторе устройства на базе SDK. Для комплексного тестирования, можно также создавать файлы приложения и устанавливать их непосредственно на устройстве.

В любой момент цикла разработки можно переключиться с помощью более *Родной Dev платформы* рабочего процесса. Средств платформы SDK, предоставляемых может предоставить более богатый набор опций. (См. платформа руководства подробные сведения о каждой платформы SDK инструмент набор).

Среды SDK является более подходящим, если вы хотите осуществлять гибридные приложения, который смешивает компоненты веб- и родные приложения. Вы можете использовать утилиту командной строки для первоначально создания приложения, или многократно после этого кормить обновленный код к инструментам SDK. Вы также можете построить файл конфигурации приложения самостоятельно. (См. файл config.xml файл для деталей.)